<div class="container" role="main">

  <h1 class="text-center">{{ title }}</h1>

  <form [formGroup]="todoForm">

    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="Insira uma tarefa"  id="title" name="title" formControlName="title">
      <div class="input-group-append">
        <button class="btn btn-light" type="button" [disabled]="todoForm.invalid" (click)="create()">Adicionar</button>
      </div>
    </div>
  </form>



  <div class="card border-success mb-3">
    <div class="card-body text-center">
      <ul class="list-group list-group-flush">
        <li *ngFor="let todo of todos | async" class="list-group-item list-group-item-action">
          <input type="checkbox" id="defaultUnchecked" (change)="update(todo, $event)" [checked]="todo.done" class="float-left">
          <span>{{ todo.title }}</span>
          <button (click)="remove(todo)" class="btn btn-sm btn-outline-danger float-right"><fa-icon [icon]="faTrashAlt"></fa-icon></button>
        </li>
      </ul>
    </div>
    <div class="card-footer bg-transparent border-success">
      <button (click)="load(null)" class="btn btn-outline-success btn-sm">Todas</button>
      <button (click)="load(false)" class="btn btn-outline-success btn-sm">Ativas</button>
      <button (click)="load(true)" class="btn btn-outline-success btn-sm">Concluidas</button>
      <button (click)="removeDone()" class="btn btn-outline-success btn-sm float-right">Remover Concluídas</button>
    </div>
  </div>


</div>

<router-outlet></router-outlet>
